
// funcion que realiza la conexion con el objeto XMLHTTP...
function getXMLHTTPRequest() {
var req;
try {
	req = new XMLHttpRequest();
} catch(err1) {
	try {
		req = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (err2) {
		try {
			req = new ActiveXObject("Microsoft.XMLHTTP");
			} catch (err3) {
				req = false;
			}
		}
	}
	return req;
}
function Conectar()
{
	if(window.XMLHttpRequest)
		Conexion=new XMLHttpRequest(); //mozilla
	else if(window.ActiveXObject)
		Conexion=new ActiveXObject("Microsoft.XMLHTTP"); //microsoft
}


///********************************************************************************************************************************************************************

function enviarDatos(){
  //donde se mostrará lo resultados
  divResultado = document.getElementById('lista_tp');
  
  tipoper1=document.form1.tipoper.value;
  fechaini_tp1=document.form1.fechaini_tp.value;
  fechafin_tp1=document.form1.fechafin_tp.value;
  costod1=document.form1.costod.value;  
  
  //stock_medi=Math.round(document.form1.stock.value);
  if(document.form1.fechaini_tp.value==""){
	  alert("No Ingreso la fecha inicial");
	  document.form1.fechaini_tp.focus();
	  return;
  }else if(document.form1.fechafin_tp.value==""){
	  alert("No Ingreso la fecha de termino");
	  document.form1.fechafin_tp.focus();
	  return;  
  }else{
	  	//contar caracteres if (field.value.length > maxlimit)
		  //instanciamos el objetoAjax
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","procesos/p_trans_detalle_enviar.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    
		  LimpiarCampos();
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("tipoper="+tipoper1+"&fechaini_tp="+fechaini_tp1+"&fechafin_tp="+fechafin_tp1+"&costod="+costod1)
		
  }
}
function LimpiarCampos(){
  document.form1.fechaini_tp.value="";
  document.form1.fechafin_tp.value="";
  document.form1.costod.value="0.00";   
  document.form1.tipoper.focus();
  }
function DatosDeleteItem(clave){
	
  //donde se mostrará lo resultados
  divResultado = document.getElementById('canasta');  
  //instanciamos el objetoAjax
  ajax=getXMLHTTPRequest();
  //uso del medoto POST
  //archivo que realizará la operacion  
  ajax.open("POST","procesos/p_borraritem_rutas.php?clave="+clave,true);
  ajax.onreadystatechange=function() {
  if (ajax.readyState==4) {
  //mostrar resultados en esta capa
  divResultado.innerHTML = ajax.responseText
  //llamar a funcion para limpiar los inputs      
  }
  }
  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
  //enviando los valores
  ajax.send(null)
}
//********************************************************************************************************
function enviarDatos1(){
  //donde se mostrará lo resultados
  divResultado = document.getElementById('lista_tp');
  
  tipoper1=document.form1.tipoper.value;
  fechaini_tp1=document.form1.fechaini_tp.value;
  fechafin_tp1=document.form1.fechafin_tp.value;
  costod1=document.form1.costod.value; 
  cod_transper1=document.form1.cod_transper.value;
  mat_trans1=document.form1.mat_trans.value;
  
  //stock_medi=Math.round(document.form1.stock.value);
  if(document.form1.fechaini_tp.value==""){
	  alert("No Ingreso la fecha inicial");
	  document.form1.fechaini_tp.focus();
	  return;
  }else if(document.form1.fechafin_tp.value==""){
	  alert("No Ingreso la fecha de termino");
	  document.form1.fechafin_tp.focus();
	  return;  
  }else{
	  	//contar caracteres if (field.value.length > maxlimit)
		  //instanciamos el objetoAjax
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","procesos/p_trans_detalle_enviar_e.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    
		  LimpiarCampos();
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("tipoper="+tipoper1+"&fechaini_tp="+fechaini_tp1+"&fechafin_tp="+fechafin_tp1+"&costod="+costod1+"&cod_transper="+cod_transper1+"&mat_trans="+mat_trans1)
		
  }
}
function LimpiarCampos(){
  document.form1.fechaini_tp.value="";
  document.form1.fechafin_tp.value="";
  document.form1.costod.value="0.00";   
  document.form1.tipoper.focus();
  }
function DatosDeleteItemDetalle(clave,cod){
	
  //donde se mostrará lo resultados
  divResultado = document.getElementById('lista_tp');  
  //instanciamos el objetoAjax
  ajax=getXMLHTTPRequest();
  //uso del medoto POST
  //archivo que realizará la operacion  
  ajax.open("POST","procesos/p_borraritem_det_trip.php?clave="+clave+"&cod="+cod,true);
  ajax.onreadystatechange=function() {
  if (ajax.readyState==4) {
  //mostrar resultados en esta capa
  divResultado.innerHTML = ajax.responseText
  //llamar a funcion para limpiar los inputs      
  }
  }
  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
  //enviando los valores
  ajax.send(null)
}
//************************************************************************************************************************************
function DatosDeleteItemDetalle1(clave){
	
  //donde se mostrará lo resultados
  divResultado = document.getElementById('lista_tp');  
  //instanciamos el objetoAjax
  ajax=getXMLHTTPRequest();
  //uso del medoto POST
  //archivo que realizará la operacion  
  ajax.open("POST","procesos/p_borraritem_det_trip.php?clave="+clave,true);
  ajax.onreadystatechange=function() {
  if (ajax.readyState==4) {
  //mostrar resultados en esta capa
  divResultado.innerHTML = ajax.responseText
  //llamar a funcion para limpiar los inputs      
  }
  }
  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
  //enviando los valores
  ajax.send(null)
}
//********************************************************************************************************************************************
function enviarDatosGrabar(){
  //donde se mostrará lo resultados
  divResultado = document.getElementById('mensaje');
  
  cod_emp=document.form1.cod_emp.value;
  via=document.form1.via.value;
  tipo_trans=document.form1.tipo_trans.value;
  mat_trans=document.form1.mat_trans.value;
  model_trans=document.form1.model_trans.value;  
  cappass_trans=parseInt(document.form1.cappass_trans.value); 
  tripnum_trans=parseInt(document.form1.tripnum_trans.value);
  capcarg_trans=parseFloat(document.form1.capcarg_trans.value);
  capcarg_ext=parseFloat(document.form1.capcarg_ext.value);
  combus=parseFloat(document.form1.combus.value);
  tipomedida=document.form1.tipomedida.value;
  tarifam=parseFloat(document.form1.tarifam.value);
  tarifah=parseFloat(document.form1.tarifah.value);
  tarifav=parseFloat(document.form1.tarifav.value);
  seguro_fi=document.form1.seguro_fi.value;
  seguro_ff=document.form1.seguro_ff.value;
  tipohora=document.form1.tipohora.value;
  fecha_iniop=document.form1.fecha_iniop.value;
  fecha_finop=document.form1.fecha_finop.value;
  numcontrato=document.form1.numcontrato.value;
  dias_indotor=parseInt(document.form1.dias_indotor.value);
  costo_mov=parseFloat(document.form1.costo_mov.value);
  costo_desmov=parseFloat(document.form1.costo_desmov.value);
  comentario=document.form1.comentario.value;
  horamaxtra=parseFloat(document.form1.horamaxtra.value);
  //numeroingre1=parseInt(document.form1.numeroingre.value);
  
  //stock_medi=Math.round(document.form1.stock.value);
  if(document.form1.cod_emp.value=="0"){
	  alert("No selecciono la empresa");
	  document.form1.cod_emp.focus();
	  return; 
  }else if(document.form1.via.value=="0"){
	  alert("No Selecciono la via");
	  document.form1.via.focus();
	  return;
  }else if(document.form1.tipo_trans.value=="0"){
	  alert("No Selecciono el tipo de transporte");
	  document.form1.tipo_trans.focus();
	  return;   
  }else if(document.form1.mat_trans.value==""){
	  alert("No ingreso la matricula de transporte");
	  document.form1.mat_trans.focus();
	  return;
  }else if(document.form1.model_trans.value==""){
	  alert("No ingreso el modelo de transporte");
	  document.form1.model_trans.focus();
	  return;	  
  }else if(document.form1.cappass_trans.value==""){
	  alert("No ingreso el numero de asientes de transporte");
	  document.form1.cappass_trans.focus();
	  return;
  }else if(document.form1.tripnum_trans.value==""){
	  alert("No ingreso el numero de tripulantes de transporte");
	  document.form1.tripnum_trans.focus();
	  return;
  }else if(document.form1.capcarg_trans.value==""){
	  alert("No ingreso ingreso la capacidad  de carga interna");
	  document.form1.capcarg_trans.focus();
	  return;
  }else if(document.form1.capcarg_ext.value==""){
	  alert("No ingreso ingreso la capacidad  de carga interna");
	  document.form1.capcarg_ext.focus();
	  return;
  /*}else if(numeroingre1 < 1){
		alert("No ingreso un viaje");
		form1.origen.focus();
		return;	*/
  }else{
	  	//contar caracteres if (field.value.length > maxlimit)
		  //instanciamos el objetoAjax
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","procesos/p_reg_trans_editar_g.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    
		  //LimpiarCampos();		  	  
		  document.form1.boton_agregar.disabled = true;
		  document.form1.boton_editar.disabled = true;
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("cod_emp="+cod_emp+"&via="+via+"&tipo_trans="+tipo_trans+"&mat_trans="+mat_trans+"&model_trans="+model_trans+"&cappass_trans="+cappass_trans+"&tripnum_trans="+tripnum_trans+"&capcarg_trans="+capcarg_trans+"&capcarg_ext="+capcarg_ext+"&combus="+combus+"&tipomedida="+tipomedida+"&tarifam="+tarifam+"&tarifah="+tarifah+"&tarifav="+tarifav+"&seguro_fi="+seguro_fi+"&seguro_ff="+seguro_ff+"&tipohora="+tipohora+"&fecha_iniop="+fecha_iniop+"&fecha_finop="+fecha_finop+"&numcontrato="+numcontrato+"&dias_indotor="+dias_indotor+"&costo_mov="+costo_mov+"&costo_desmov="+costo_desmov+"&comentario="+comentario+"&horamaxtra="+horamaxtra)
		
  }
}
//*************************************************************************************************************************************************************************
function enviarDatosGrabarReg(){
  //donde se mostrará lo resultados
  divResultado = document.getElementById('mensaje1');
  
  cod_emp=document.form1.cod_emp.value;
  via=document.form1.via.value;
  tipo_trans=document.form1.tipo_trans.value;
  mat_trans=document.form1.mat_trans.value;
  model_trans=document.form1.model_trans.value;  
  cappass_trans=parseInt(document.form1.cappass_trans.value); 
  tripnum_trans=parseInt(document.form1.tripnum_trans.value);
  capcarg_trans=parseFloat(document.form1.capcarg_trans.value);
  capcarg_ext=parseFloat(document.form1.capcarg_ext.value);
  combus=parseFloat(document.form1.combus.value);
  tipomedida=document.form1.tipomedida.value;
  tarifam=parseFloat(document.form1.tarifam.value);
  tarifah=parseFloat(document.form1.tarifah.value);
  tarifav=parseFloat(document.form1.tarifav.value);
  seguro_fi=document.form1.seguro_fi.value;
  seguro_ff=document.form1.seguro_ff.value;
  tipohora=document.form1.tipohora.value;
  fecha_iniop=document.form1.fecha_iniop.value;
  fecha_finop=document.form1.fecha_finop.value;
  numcontrato=document.form1.numcontrato.value;
  dias_indotor=parseInt(document.form1.dias_indotor.value);
  costo_mov=parseFloat(document.form1.costo_mov.value);
  costo_desmov=parseFloat(document.form1.costo_desmov.value);
  comentario=document.form1.comentario.value;
  horamaxtra=parseFloat(document.form1.horamaxtra.value);
  //numeroingre1=parseInt(document.form1.numeroingre.value);
  
  //stock_medi=Math.round(document.form1.stock.value);
  if(document.form1.cod_emp.value=="0"){
	  alert("No selecciono la empresa");
	  document.form1.cod_emp.focus();
	  return; 
  }else if(document.form1.via.value=="0"){
	  alert("No Selecciono la via");
	  document.form1.via.focus();
	  return;
  }else if(document.form1.tipo_trans.value=="0"){
	  alert("No Selecciono el tipo de transporte");
	  document.form1.tipo_trans.focus();
	  return;   
  }else if(document.form1.mat_trans.value==""){
	  alert("No ingreso la matricula de transporte");
	  document.form1.mat_trans.focus();
	  return;
  }else if(document.form1.model_trans.value==""){
	  alert("No ingreso el modelo de transporte");
	  document.form1.model_trans.focus();
	  return;	  
  }else if(document.form1.cappass_trans.value==""){
	  alert("No ingreso el numero de asientes de transporte");
	  document.form1.cappass_trans.focus();
	  return;
  }else if(document.form1.tripnum_trans.value==""){
	  alert("No ingreso el numero de tripulantes de transporte");
	  document.form1.tripnum_trans.focus();
	  return;
  }else if(document.form1.capcarg_trans.value==""){
	  alert("No ingreso ingreso la capacidad  de carga interna");
	  document.form1.capcarg_trans.focus();
	  return;
  }else if(document.form1.capcarg_ext.value==""){
	  alert("No ingreso ingreso la capacidad  de carga interna");
	  document.form1.capcarg_ext.focus();
	  return;
  /*}else if(numeroingre1 < 1){
		alert("No ingreso un viaje");
		form1.origen.focus();
		return;	*/
  }else{
	  	//contar caracteres if (field.value.length > maxlimit)
		  //instanciamos el objetoAjax
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","procesos/p_reg_trans_g.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    
		  //LimpiarCampos();		  	  
		  document.form1.boton_agregar.disabled = true;
		  document.form1.boton_grabar.disabled = true;
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("cod_emp="+cod_emp+"&via="+via+"&tipo_trans="+tipo_trans+"&mat_trans="+mat_trans+"&model_trans="+model_trans+"&cappass_trans="+cappass_trans+"&tripnum_trans="+tripnum_trans+"&capcarg_trans="+capcarg_trans+"&capcarg_ext="+capcarg_ext+"&combus="+combus+"&tipomedida="+tipomedida+"&tarifam="+tarifam+"&tarifah="+tarifah+"&tarifav="+tarifav+"&seguro_fi="+seguro_fi+"&seguro_ff="+seguro_ff+"&tipohora="+tipohora+"&fecha_iniop="+fecha_iniop+"&fecha_finop="+fecha_finop+"&numcontrato="+numcontrato+"&dias_indotor="+dias_indotor+"&costo_mov="+costo_mov+"&costo_desmov="+costo_desmov+"&comentario="+comentario+"&horamaxtra="+horamaxtra)
		
  }
}
//*************************************************************************************************************************************************************************